Page MenuHomePhabricator

Page size decrease incorrectly formatted for Estonian
Closed, ResolvedPublic

Description

E.g. see this history, where 4-digit page size decrease is formatted as "-2 414" (with a space), while 4-digit page sizes and page size increases are without a space. It is correct that 4-digit numbers should be formatted without a space, while numbers from 10 000 use space as a separator.

Also, correct minus sign in Estonian is minus (−), not hyphen-minus (-).

Edit: If I'm not mistaken then the rule in LanguageEt.php currently doesn't consider negative numbers and what we want is more like the rule in LanguagePl.php.

Event Timeline

Pikne created this task.Mar 28 2015, 1:03 PM
Pikne raised the priority of this task from to High.
Pikne updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2015, 1:03 PM
Pikne updated the task description. (Show Details)Mar 29 2015, 7:05 AM
Pikne set Security to None.
Pikne updated the task description. (Show Details)
Aklapper lowered the priority of this task from High to Low.Mar 30 2015, 9:32 AM

Thanks for reporting this.
If you feel like correcting LanguageEt.php, you are very welcome to use developer access to submit a proposed change as a Git branch directly into Gerrit. If you don't want to set up Git/Gerrit, you can also use the Gerrit Patch Uploader. Thanks again!

Also lowering task priority - if this creates severe issues, please elaborate why this should be high priority.

Change 214902 had a related patch set uploaded (by Gerrit Patch Uploader):
Fix to digits grouping rule

https://gerrit.wikimedia.org/r/214902

Change 214902 merged by jenkins-bot:
Fix to digits grouping rule

https://gerrit.wikimedia.org/r/214902

Nikerabbit closed this task as Resolved.May 31 2015, 2:00 PM
Nikerabbit claimed this task.